Subject: Re: [otrs] OTRS 2.2.4 OpenLDAP authentication
From: "Michael Mansour" <[email-masked]>
To: Kent Nasveschuk <[email-masked]>
Date: Fri, 21 Dec 2007 10:52:14 +1000

Hi Kent,

> Hello,
> 
> I read some posts about connecting OTRS to LDAP/AD on the backend for
> authentication. I haven't gotten this to work yet.
> 
> System is CentOS5.
> 
> What I have in Config.pm is:
> 
> $Self->{'AuthModule'} = 'Kernel::System::Auth::LDAP';
> $Self->{'AuthModule::LDAP::Host'} = 'mblauth01.mbl.edu';
> $Self->{'AuthModule::LDAP::BaseDN'} = 'dc=mbl,dc=edu';
> $Self->{'AuthModule::LDAP::UID'} = 'cn';
> $Self->{'AuthModule::LDAP::SearchUserDN'} =
> 'uid=searchuser,ou=users,dc=mbl,dc=edu';
> $Self->{'AuthModule::LDAP::SearchUserPw'} = 'secret';
> $Self->{'AuthModule::LDAP::Params'} = {
>         port => 389,
>         timeout => 120,
>         async => 0,
>         version => 3,
>     };
> 
> Apache error logs:
> 
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Global symbol
> "$Self" requires explicit package name
> at /opt/otrs/bin/cgi-bin/../../Kernel/Config.pm line 110.
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Global symbol
> "$Self" requires explicit package name
> at /opt/otrs/bin/cgi-bin/../../Kernel/Config.pm line 111.
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Global symbol
> "$Self" requires explicit package name
> at /opt/otrs/bin/cgi-bin/../../Kernel/Config.pm line 112.
> 
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Compilation failed
> in require
> at /opt/otrs/bin/cgi-bin/../../Kernel/System/Web/InterfaceAgent.pm line
> 21.
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] BEGIN
> failed--compilation aborted
> at /opt/otrs/bin/cgi-bin/../../Kernel/System/Web/InterfaceAgent.pm line
> 21.
> 
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Compilation failed
> in require at /opt/otrs/bin/cgi-bin/index.pl line 41.
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] BEGIN
> failed--compilation aborted at /opt/otrs/bin/cgi-bin/index.pl line 41.
> [Thu Dec 20 15:28:49 2007] [error] [client 127.0.0.1] Premature end 
> of script headers: index.pl
> 
> Any suggestions?

If you haven't solved this from the OTRS list soon, please let me know and
I'll assist you off-list. I got this working on SL5 (same as CentOS5) but
being at work will need to help you outside of work hours.

Regards,

Michael.